### Method

# Clutter Text set_activatable

#### Declaration [src]

    void
    clutter_text_set_activatable (
      ClutterText* self,
      gboolean activatable
    )

#### Description [src]

Sets whether a `ClutterText` actor should be activatable.

An activatable `ClutterText` actor will emit the `ClutterText::activate` signal whenever the ‘Enter’ (or ‘Return’) key is pressed; if it is not activatable, a new line will be appended to the current content.

An activatable `ClutterText` must also be set as editable using `clutter_text_set_editable()`.

Sets property | `Clutter.Text:activatable`

#### Parameters

`activatable`

  Type: `gboolean`

  Whether the `ClutterText` actor should be activatable.